import random
import os
from scan_manager import ScanManager

# Generic variables
scan_image_list = os.environ.get("SCAN_IMAGE_LIST")
primary_trigger_scan = os.environ.get("PRIMARY_TRIGGER_SCAN", "true").lower()

# cbctl and twistcli variables
primary_workflow_file = "scan.yml"
primary_custom_id = random.randbytes(16).hex()
primary_inputs = inputs = {
    "SCAN_IMAGE_LIST_INPUT": scan_image_list,
    "CUSTOM_ID": primary_custom_id,
}

# BlackDuck variables
blackduck_trigger_scan = os.environ.get("BLACKDUCK_TRIGGER_SCAN", "false").lower()
blackduck_custom_id = random.randbytes(16).hex()
blackduck_workflow_file = "blackduck.yml"
blackduck_inputs = {
    "BLACKDUCK_PROJECT_GROUP": "CB Cloud (CBC)",
    "BLACKDUCK_PROJECT_NAME": "ESG-CBC-Platform",
    "BLACKDUCK_TARGET": scan_image_list,
    "CUSTOM_ID": blackduck_custom_id,
}

if __name__ == "__main__":
    if primary_trigger_scan == "true":
        primary_scan_manager = ScanManager()

        primary_scan_manager.initiate_scan(
            primary_workflow_file, primary_custom_id, primary_inputs, scan_image_list
        )

    if blackduck_trigger_scan == "true":
        blackduck_scan_manager = ScanManager()

        blackduck_scan_manager.initiate_scan(
            blackduck_workflow_file,
            blackduck_custom_id,
            blackduck_inputs,
            scan_image_list,
        )
